Subject: [Softwires] Simple Tunnel Endpoint Signalling in BGP

From: Xu Xiaohu <[email-masked]>
Date: Mon, 16 Feb 2009 10:02:14 +0800

Hi all,

Paul and I have just submitted a draft titled "Simple Tunnel Endpoint
Signalling in BGP"[ http://tools.ietf.org/id/draft-xu-tunnel-00.txt ]. In
this draft, an IP address specific extended community is used for carring
the tunnel endpoint, which is associated with the NLRI.This allows the site
networks to be connected via the tunnels over the transit networks.To be
note, the difference from the SAFI draft (draft-ietf-softwire-encaps-safi)
is  that the tunnel endpoints are not always identical with the next-hop
fields in the BGP updates.  

The abstract is : Virtual Aggregation (VA) is a mechanism for shrinking the
size of the DFZ FIB in routers [
http://tools.ietf.org/html/draft-francis-intra-va-00].  VA can result in
longer paths and increased load on routers within the ISP that deploys VA.
This document describes a mechanism that allows an AS that originates a
route to associate a tunnel endpoint terminating at itself with the route.
This allows routers in a remote AS to tunnel packets to the originating AS.
If transit ASes between the remote AS and the originating AS install the
prefixes associated with tunnel endpoints in their FIBs, then tunneled
packets that transit through them will take the shortest path.  This results
in reduced load for the transit AS, and better performance for the customers
at the source and destination.

Any comment appreciated.

Xiaohu 

> -----邮件原件-----
> 发件人: IETF I-D Submission Tool [mailto:[email-masked]] 
> 发送时间: 2009年2月11日 18:59
> 收件人: [email-masked]
> 抄送: [email-masked]
> 主题: New Version Notification for draft-xu-tunnel-00
> 
> 
> A new version of I-D, draft-xu-tunnel-00.txt has been 
> successfuly submitted by Paul Francis and posted to the IETF 
> repository.
> 
> Filename:	 draft-xu-tunnel
> Revision:	 00
> Title:		 Simple Tunnel Endpoint Signaling in BGP
> Creation_date:	 2009-02-11
> WG ID:		 Independent Submission
> Number_of_pages: 8
> 
> Abstract:
> Virtual Aggregation (VA) is a mechanism for shrinking the 
> size of the DFZ FIB in routers [I-D.francis-intra-va].  VA 
> can result in longer paths and increased load on routers 
> within the ISP that deploys VA.
> This document describes a mechanism that allows an AS that 
> originates a route to associate a tunnel endpoint terminating 
> at itself with the route.  This allows routers in a remote AS 
> to tunnel packets to the originating AS.  If transit ASes 
> between the remote AS and the originating AS install the 
> prefixes associated with tunnel endpoints in their FIBs, then 
> tunneled packets that transit through them will take the 
> shortest path.  This results in reduced load for the transit 
> AS, and better performance for the customers at the source 
> and destination.
>                                                               
>                     
> 
> 
> The IETF Secretariat.
> 
>